Public Member Functions | Protected Member Functions | List of all members
libetonyek::IWORKStylesheetBase Class Reference

`#include <IWORKStylesheetBase.h>`

Inheritance diagram for libetonyek::IWORKStylesheetBase:

## Public Member Functions
| IWORKStylesheetBase (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStylesheetBase()

libetonyek::IWORKStylesheetBase::IWORKStylesheetBase | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStylesheetBase::element | ( | int | name | ) |
| override protected

## ◆ endOfElement()

void libetonyek::IWORKStylesheetBase::endOfElement | ( |  | ) |
| override protected

## ◆ startOfElement()

void libetonyek::IWORKStylesheetBase::startOfElement | ( |  | ) |
| override protected

The documentation for this class was generated from the following files:

- IWORKStylesheetBase.h
- IWORKStylesheetBase.cpp